**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/19.1/managing-vault-java-sdk-code/validate-package.md

# Validate Package



Validate a VPK package with Vault Java SDK code attached to this request. This checks checks code compilation and restrictions in use of the JDK. For example, `new` is not allowed for non-allowlisted classes. Learn more about [limits and restrictions](/vault-sdk/references/limits-restrictions).

This endpoint does not import your package.

<Endpoint path="/api/{version}/services/package/actions/validate" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) |
</FieldTable>

## Body Parameters {#body-parameters}

The body of your request is the binary VPK file you wish to validate.

## Request {#request}

<CodeExample title="">
```
curl -X POST -H "Authorization: {SESSION_ID}" \
https://veepharm.veevavault.com/api/v18.3/services/package/actions/validate
--data-binary @"C:\Vault\Extensions\javasdk.vpk" \

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "responseDetails": {
        "summary": "PromoMats RecordTrigger",
        "author": "stan.lee@veepharma.com",
        "package_name": "PKG-DEPLOY",
        "source_vault": "19523",
        "package_status": "N/A",
        "total_steps": 1,
        "start_time": "18:09:2018 05:01:19",
        "end_time": "18:09:2018 05:01:20",
        "package_error": "",
        "package_steps": [
            {
                "name__v": "00010",
                "step_type__v": "Code",
                "step_label__v": "Java SDK Code",
                "step_name__v": "Java SDK Code",
                "type__v": "Code",
                "deployment_status__v": "N/A",
                "deployment_action": "Replace All",
                "validation_response": "SUCCESS",
                "validation_message": "Source code in (PKG-DEPLOY) validated successfully."
            }
        ]
    }
}

```
</CodeExample>

---

**Previous:** [Delete Single Source Code File](/quality/vault-api/api-reference/19.1/managing-vault-java-sdk-code/delete-single-source-code-file)  
**Next:** [Validate Imported Package](/quality/vault-api/api-reference/19.1/managing-vault-java-sdk-code/validate-imported-package)